## org.apache.poi.ddf
Class DefaultEscherRecordFactory

    java.lang.Object
      org.apache.poi.ddf.DefaultEscherRecordFactory

All Implemented Interfaces:
  EscherRecordFactory

public class DefaultEscherRecordFactory
extends java.lang.Object
implements EscherRecordFactory

Generates escher records when provided the byte array containing those records.

Author:
  Glen Stampoultzis
See Also:
  `EscherRecordFactory`

Constructor Summary
`DefaultEscherRecordFactory()` Creates an instance of the escher record factory

Method Summary
`EscherRecord` `createRecord(byte[] data, int offset)` Generates an escher record including the any children contained under that record.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultEscherRecordFactory

    public DefaultEscherRecordFactory()

  Creates an instance of the escher record factory

Method Detail

### createRecord

    public EscherRecord createRecord(byte[] data,
                                     int offset)

  Generates an escher record including the any children contained under that record. An exception is thrown if the record could not be generated.

  Specified by:
    `createRecord` in interface `EscherRecordFactory`
  Parameters:
    `data` - The byte array containing the records
    `offset` - The starting offset into the byte array
  Returns:
    The generated escher record

Copyright © 2003 Apache Software Foundation.